Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Latest master fails to build with rust 1.38.0 #182

Closed
schofieldn opened this issue Sep 28, 2019 · 1 comment · Fixed by #183

Comments

@schofieldn
Copy link

@schofieldn schofieldn commented Sep 28, 2019

Following upgrade from rust 1.37.0 to 1.38.0, latest master fails to build with the following error and lots of warnings:

Compiling env_logger v0.6.1 Compiling rustc_version v0.2.3 error: proc-macro derive panicked --> /home/neil/.cargo/registry/src/github.com-1ecc6299db9ec823/grin_secp256k1zkp-0.7.7/src/key.rs:32:10 | 32 | #[derive(Zeroize)] | ^^^^^^^ | = help: message: unknown zeroize attribute: (drop)

error: aborting due to previous error

The following warnings were emitted during compilation:

@jaspervdm

This comment has been minimized.

Copy link
Contributor

@jaspervdm jaspervdm commented Sep 28, 2019

Thanks for reporting, its fixed now. You will get some warning regarding missing dyn keywords but you can safely ignore them, they will be addressed in a future PR.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.